Skip to main content
`Ctrl`+`K`

# numpy.sign

numpy.sign(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'sign'>

  Returns an element-wise indication of the sign of a number.

  The `sign` function returns `-1 if x < 0, 0 if x==0, 1 if x > 0`. nan is returned for nan inputs.

  For complex inputs, the `sign` function returns `x / abs(x)`, the generalization of the above (and `0 if x==0`).

  Changed in version 2.0.0: Definition of complex sign changed to follow the Array API standard.

  Parameters:
    x array_like

      Input values.

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y ndarray

      The sign of x. This is a scalar if x is a scalar.

  Notes

  There is more than one definition of sign in common use for complex numbers. The definition used here, \(x/|x|\), is the more common and useful one, but is different from the one used in numpy prior to version 2.0, \(x/\sqrt{x*x}\), which is equivalent to `sign(x.real) + 0j if x.real != 0 else sign(x.imag) + 0j`.

  Examples

      >>> import numpy as np
      >>> np.sign([-5., 4.5])
      array([-1.,  1.])
      >>> np.sign(0)
      0
      >>> np.sign([3-4j, 8j])
      array([0.6-0.8j, 0. +1.j ])